#42 Error message 'Save Failed:null' when saving

closed-fixed
nobody
Interface (13)
5
2012-07-29
2007-05-03
Anonymous
No

I am using Eclipse 3.2.

If I use the default tab to edit the corresponding properties file, I get an error message. When I look in the workspace log file, I see the following stackTrace;

!SESSION 2007-05-03 08:01:08.546 -----------------------------------------------

eclipse.buildId=M20060628-1325

java.version=1.5.0_06

java.vendor=Sun Microsystems Inc.

BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=nl_NL

Command-line arguments: -os win32 -ws win32 -arch x86 -data C:\workspaces\workspace ARAG

!ENTRY org.eclipse.ui 4 4 2007-05-03 08:04:53.411

!MESSAGE Save Failed

!ENTRY org.eclipse.ui 2 0 2007-05-03 08:04:53.411

!MESSAGE Save Failed

!STACK 0

java.lang.NullPointerException

at java.util.TreeMap.compare(Unknown Source)

at java.util.TreeMap.getEntry(Unknown Source)

at java.util.TreeMap.get(Unknown Source)

at com.essiembre.eclipse.rbe.model.tree.KeyTree.selectKey(KeyTree.java:182)

at com.essiembre.eclipse.rbe.ui.editor.ResourceBundleEditor.doSave(ResourceBundleEditor.java:181)

at org.eclipse.ui.internal.SaveableHelper$1.run(SaveableHelper.java:131)

at org.eclipse.ui.internal.SaveableHelper$4.run(SaveableHelper.java:252)

at org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.java:369)

at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:313)

at org.eclipse.jface.window.ApplicationWindow$1.run(ApplicationWindow.java:763)

at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:67)

at org.eclipse.jface.window.ApplicationWindow.run(ApplicationWindow.java:760)

at org.eclipse.ui.internal.WorkbenchWindow.run(WorkbenchWindow.java:2283)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation(SaveableHelper.java:258)

at org.eclipse.ui.internal.SaveableHelper.savePart(SaveableHelper.java:136)

at org.eclipse.ui.internal.EditorManager.savePart(EditorManager.java:1360)

at org.eclipse.ui.internal.WorkbenchPage.savePart(WorkbenchPage.java:2978)

at org.eclipse.ui.internal.WorkbenchPage.saveEditor(WorkbenchPage.java:2991)

at org.eclipse.ui.internal.SaveAction.run(SaveAction.java:67)

at org.eclipse.jface.action.Action.runWithEvent(Action.java:499)

at org.eclipse.jface.commands.ActionHandler.execute(ActionHandler.java:119)

at org.eclipse.core.commands.Command.executeWithChecks(Command.java:461)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:424)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand(HandlerService.java:160)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.executeCommand(WorkbenchKeyboard.java:466)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.press(WorkbenchKeyboard.java:799)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.processKeyEvent(WorkbenchKeyboard.java:846)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.filterKeySequenceBindings(WorkbenchKeyboard.java:564)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.access$3(WorkbenchKeyboard.java:506)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard$KeyDownFilter.handleEvent(WorkbenchKeyboard.java:122)

at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)

at org.eclipse.swt.widgets.Display.filterEvent(Display.java:982)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:927)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:952)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:937)

at org.eclipse.swt.widgets.Widget.sendKeyEvent(Widget.java:965)

at org.eclipse.swt.widgets.Widget.sendKeyEvent(Widget.java:961)

at org.eclipse.swt.widgets.Widget.wmChar(Widget.java:1275)

at org.eclipse.swt.widgets.Control.WM_CHAR(Control.java:3346)

at org.eclipse.swt.widgets.Control.windowProc(Control.java:3246)

at org.eclipse.swt.widgets.Display.windowProc(Display.java:4025)

at org.eclipse.swt.internal.win32.OS.DispatchMessageW(Native Method)

at org.eclipse.swt.internal.win32.OS.DispatchMessage(OS.java:1923)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2966)

at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)

at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)

at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)

at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)

at org.eclipse.core.launcher.Main.basicRun(Main.java:280)

at org.eclipse.core.launcher.Main.run(Main.java:977)

at org.eclipse.core.launcher.Main.main(Main.java:952)

Discussion

  • Bustuila

    Bustuila - 2007-05-14

    Logged In: YES
    user_id=711602
    Originator: NO

    This happens to me too, almost the same stack trace.

     
  • Uwe Voigt

    Uwe Voigt - 2007-06-16

    Logged In: YES
    user_id=582288
    Originator: NO

    Though it does not seem to be a real problem... nothing gets lost
    my voting too btw, thanks for a great product!
    java.lang.NullPointerException
    at java.util.TreeMap.getEntry(Unknown Source)
    at java.util.TreeMap.get(Unknown Source)
    at com.essiembre.eclipse.rbe.model.tree.KeyTree.selectKey(KeyTree.java:182)
    at com.essiembre.eclipse.rbe.ui.editor.ResourceBundleEditor.doSave(ResourceBundleEditor.java:181)
    at org.eclipse.ui.internal.SaveableHelper$1.run(SaveableHelper.java:143)
    at org.eclipse.ui.internal.SaveableHelper$4.run(SaveableHelper.java:266)
    at org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.java:369)

     
  • Jacques Le Roux

    Jacques Le Roux - 2007-07-26

    Logged In: YES
    user_id=1207036
    Originator: NO

    Hi Pascal,

    I get the same error using Eclipse Europa 3.3. Has already explained this is not a blocker.

     
  • Cuhiodtick

    Cuhiodtick - 2012-07-29
    • status: open --> closed-fixed
     
  • Cuhiodtick

    Cuhiodtick - 2012-07-29

    Fixed in HEAD, will be released in 0.8.0

    Thanks for the report

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks